<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: controller.php 2024-01-17
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

JLoader::register('xmlsishandballv2Helper', JPATH_ADMINISTRATOR . '/components/com_xmlsishandballv2/helpers/xmlsishandballv2.php');
 

/**
 * General Controller of xmlsishandballv2 component
 */
class xmlsishandballv2Controller extends JControllerLegacy {

	/**
	 * Method to display a view.
	 *
	 * @param   boolean  $cachable   If true, the view output will be cached
	 * @param   array    $urlparams  An array of safe URL parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return  xmlsishandballv2Controller  This object to support chaining.
	 *
	 * @since   1.5
	 */
	public function display($cachable = false, $urlparams = array())
	{

		$view   = $this->input->get('view', 'xmlsishandballv2');
		$layout = $this->input->get('layout', 'default');
		$id     = $this->input->getInt('id');

		// Check for form.
		if ($view == 'club' && $layout == 'edit' && !$this->checkEditId('com_xmlsishandballv2.edit.club', $id))
		{
			// Somehow the person just went to the form - we don't allow that.
			if (version_compare(JVERSION, '4', '<')) {
				$this->setError(Text::sprintf('JLIB_APPLICATION_ERROR_UNHELD_ID', $id));
				$this->setMessage($this->getError(), 'error');
			}
			$this->setRedirect(Route::_('index.php?option=com_xmlsishandballv2&view=clubs', false));

			return false;
		}
		elseif ($view == 'icsdata' && $layout == 'edit' && !$this->checkEditId('com_xmlsishandballv2.edit.icsdata', $id))
		{
			// Somehow the person just went to the form - we don't allow that.
			if (version_compare(JVERSION, '4', '<')) {
				$this->setError(Text::sprintf('JLIB_APPLICATION_ERROR_UNHELD_ID', $id));
				$this->setMessage($this->getError(), 'error');
			}
			$this->setRedirect(Route::_('index.php?option=com_xmlsishandballv2&view=icsdatas', false));

			return false;
		}
		elseif ($view == 'verein' && $layout == 'edit' && !$this->checkEditId('com_xmlsishandballv2.edit.verein', $id))
		{
			// Somehow the person just went to the form - we don't allow that.
			if (version_compare(JVERSION, '4', '<')) {
				$this->setError(Text::sprintf('JLIB_APPLICATION_ERROR_UNHELD_ID', $id));
				$this->setMessage($this->getError(), 'error');
			}
			$this->setRedirect(Route::_('index.php?option=com_xmlsishandballv2&view=vereins', false));

			return false;
		}

		return parent::display();

		
	}

	
	static function xshv2Footer() {
	$html = '<div class="clr"/></div><div style="text-align:center;"><span class="small">
		<a href="http://www.maetzokopter.at/cms/index.php?option=com_content&view=article&id=61&Itemid=47" target="_blank">XML SIS-Handball v2 (v4.0.2)</a></span>
	</div>';
	return $html;
	}
	

}
