<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: vereins.php 2023-08-09
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\Utilities\Factory;
use Joomla\Utilities\ArrayHelper;
 
jimport('joomla.application.component.controllerform');
 
/**
 * xmlsishandballv2vereins Controller
 */
class xmlsishandballv2Controllermenuupdate extends JControllerForm {
	
	protected $default_view = 'menuupdates';
	
	public function display($cachable = false, $urlparams = false) {
		$input = Factory::getApplication()->input;
		$view = $input->get('view', $this->default_view);
		$layout = $input->get('layout', 'default');
		$task = $input->get('task', "", 'STR');
		$id = $input->get('id');
		
		parent::display($cachable, $urlparams);

	}
	
	
	/**
	 * batch convert project dates to utc
	 * 
	 * this is for converting former projects
	 */
	public function menuupdatebatch()
	{		
		$input = JFactory::getApplication()->input;
		$cid = $input->get('cid','','array');
		$newvid = $input->get('verein_id','','array');
		
		ArrayHelper::toInteger($cid);
		ArrayHelper::toInteger($newvid);
		$msg = array();
		$type = '';
		$typeE = 'error';

		if (!$cid || $newvid[0] == 0) {
			$this->setRedirect('index.php?option=com_xmlsishandballv2&view=menuupdates', Jtext::sprintf('COM_XMLSISHANDBALLV2_ADMIN_MENUS_ERROR_CONVERTED'), $typeE);
			return;
		}
		//exit('Vereinsid erkannt');
		
		foreach ($cid as $menu_id) 
		{
			$model = $this->getModel("menuupdate");
			if (!$res = $model->NewVerein_id($menu_id, $newvid)) {
				$msg[] = $model->getError();
				$type = 'error';
			}
			else {
				$msg[] = Jtext::sprintf('COM_XMLSISHANDBALLV2_ADMIN_MENUS_SUCCESSULLY_CONVERTED', $menu_id);
				$type = 'message';
			}
		}
		$this->setRedirect('index.php?option=com_xmlsishandballv2&view=menuupdates', implode("<br/>", $msg), $type);
	}
	

	
}