<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: club.php 2023-07-04
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 

defined('JPATH_BASE') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

JFormHelper::loadFieldClass('list');


/**
 * Bannerclient Field class for the Joomla Framework.
 *
 * @package		Joomla.Administrator
 * @subpackage	com_banners
 * @since		1.6
 */
class JFormFieldclubs extends JFormFieldList
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'club';

	/**
	 * Method to get the field options.
	 *
	 * @return	array	The field option objects.
	 * @since	1.6
	 */
	public function getOptions() {
		// Let's get the id for the current item, either category or content item.
		//$jinput = Factory::getApplication()->input;
		//$email_ids = $jinput->get('email_ids',array());
		
		//return reglistHelper::getClientOptions();
		$options = array();
		
		$db		= Factory::getDbo();
		$query	= $db->getQuery(true);

		$query->select('a.id AS value, a.clubname AS text');
		$query->from('#__xmlsishbv2_clubs AS a');
		//$query->where('a.id = '. (int) $email_ids);
		$query->order('a.clubname ASC');

		// Get the options.
		$db->setQuery($query);

		$options = $db->loadObjectList();
		
		array_unshift($options, HTMLHelper::_('select.option', '', Text::_('COM_XMLSISHANDBALLV2_CLUBS_CLUBSIDS_SELECT')));
		
		return $options;
	}
}
