<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: xmlsishandballv2vereins.php 2023-08-08
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die;

use Joomla\Utilities\ArrayHelper;

jimport('joomla.application.component.modeladmin');

class xmlsishandballv2Modelmenuupdate extends JModelAdmin {

	/**
	 * Method to get the row form.
	 *
	 * @param   array    $data      Data for the form.
	 * @param   boolean  $loadData  True if the form is to load its own data (default case), false if not.
	 *
	 * @return  mixed  A JForm object on success, false on failure
	 *
	 * @since   1.6
	 */
	
	public function getForm($data = array(), $loadData = true) {
		$options = array('control' => 'jform', 'load_data' => $loadData);
		$form = $this->loadForm('menuupdate', 'menuupdate', $options);
			if (empty($form)) {
				return false;
		}
		return $form;
	}
	


	/**
	 * Batch XML Verein_id to new Verein_id.
	 *
	 * @param   integer  $mid       An array of row menu IDs.
	 * @param   array    $nvid      An array of the new Verein ID.
	 *
	 * @return  mixed  An array of new IDs on success, boolean false on failure.
	 *
	 * @since   1.6
	 */
	function NewVerein_id($mid, $nvid)
	{
		// $value comes as {parent_id}.{extension}
		//$menuid = (int) ArrayHelper::getValue($mid, 0, 1);
		$newvid = (int) ArrayHelper::getValue($nvid, 0, 1);

		$db = $this->getDbo();
		$query = $db->getQuery(true);
		
		$query->select('params');
		$query->where('id = '.(int) $mid);
		//$query->where('id = 486');
		$query->from($db->quoteName('#__menu'));
		
		$db->setQuery($query);
		//$params = json_decode($db->loadResult());
		//$params = $db->loadResult($query);
		$newparams[(string) 'verein_id'] = (string) $newvid;
		$params = json_decode( $db->loadResult(), true );
		//array(35) { ["sis_xmllink"]=> string(26) "xxx" ["sis_meinevereinsnummer"]=> string(10) "xxx" ["sis_meinvereinspasswort"]=> string(6) "xxx" [
		foreach ($params as $name => $value) {
			//if($name != 'sis_xmllink' || $name != 'sis_meinevereinsnummer' || $name != 'sis_meinvereinspasswort' || $name != 'verein_id') {
			if($name != 'sis_xmllink') {
				if($name != 'sis_meinevereinsnummer') {
					if ($name != 'sis_meinvereinspasswort') {
						if ($name != 'verein_id') {
							$newparams[(string) $name] = (string) $value;
						}
					}
				}
			}
		}
		
		// Store the combined new and existing values back as a JSON string
		$paramsString = json_encode( $newparams );
		$db->setQuery('UPDATE #__menu SET params = ' .
			$db->quote($paramsString) .
			' WHERE id = ' . (int) $mid);
			//$db->query();
			$db->execute();

		return true;
		
	}
	
	


}