<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: edit.php 2023-07-04
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/


// Den direkten Aufruf verbieten
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;
 
HTMLHelper::addIncludePath(JPATH_COMPONENT . '/helpers/html');
HTMLHelper::_('behavior.formvalidator');
HTMLHelper::_('formbehavior.chosen', 'select');

Factory::getDocument()->addScriptDeclaration(
	'
	Joomla.submitbutton = function(task)
	{
		if (task == "club.cancel" || document.formvalidator.isValid(document.getElementById("club-form")))
		{
			Joomla.submitform(task, document.getElementById("club-form"));
		}
	};'
);


?>

<form action="<?php echo Route::_('index.php?option=com_xmlsishandballv2&layout=edit&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="club-form" class="form-validate">

	<div class="form-horizontal">

		<?php echo HTMLHelper::_('bootstrap.startTabSet', 'myTab', array('active' => 'details')); ?>
		
		<?php echo HTMLHelper::_('bootstrap.addTab', 'myTab', 'details', empty($this->item->id) ? Text::_('COM_XMLSISHANDBALLV2_CLUB_NEW', true) : Text::_('COM_XMLSISHANDBALLV2_CLUB_CHANGE', true)); ?>
		<div class="row-fluid">
			<div class="span9">
				<?php
				echo $this->form->renderFieldset('details');
				?>
			</div>
			<div class="span3">
			</div>
		</div>
		<?php echo HTMLHelper::_('bootstrap.endTab'); ?>
		
		<?php echo HTMLHelper::_('bootstrap.endTabSet'); ?>

	</div>

	<div>
 		<input type="hidden" name="task" value="" />
		<?php echo HTMLHelper::_('form.token'); ?>
	</div>

</form>