<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: view.html.php 2023-08-09
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

/**
 * View class for a list of clients.
 *
 * @since  1.6
 */
class xmlsishandballv2ViewMenuupdates extends JViewLegacy
{
	protected $items;

	protected $pagination;

	protected $state;
	
	protected $sidebar;

	/**
	 * Display the view
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
		$this->items         = $this->get('Items');
		$this->pagination    = $this->get('Pagination');
		$this->state         = $this->get('State');
		$this->filterForm    = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			//JError::raiseError(500, implode("\n", $errors));
			throw new Exception(implode("\n", $errors), 500);

			return false;
		}

		$this->vereine = $this->get('Vereine');

		if (version_compare(JVERSION, '4', '<')) {
			if ($this->getLayout() !== 'modal') {
				xmlsishandballv2Helper::addSubmenu('menuupdates');
			}
		}

		if (class_exists('JHtmlSidebar')){
			$this->sidebar = JHtmlSidebar::render();
		}
		
		if ($this->getLayout() !== 'modal') {
			$this->addToolbar();
		}
		parent::display($tpl);

	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return  void
	 *
	 * @since   1.6
	 */
	protected function addToolbar()
	{
		require_once JPATH_COMPONENT . '/helpers/xmlsishandballv2.php';

		$canDo = JHelperContent::getActions('com_xmlsishandballv2');

		if (version_compare(JVERSION, '4', '>=')) {
			JToolBarHelper::title(
				Text::_('COM_XMLSISHANDBALLV2_MENUUPDATE_ADMIN'),
				'sync'
			);
		} else {
			JToolbarHelper::title(
				Text::_('COM_XMLSISHANDBALLV2_MENUUPDATE_ADMIN'), 
				'48-xmlsishandballv2menuupdate'
			);
		}

		if ($canDo->get('core.edit'))
		{
			$title = Text::_('JTOOLBAR_BATCH');

			// Instantiate a new JLayoutFile instance and render the batch button
			$layout = new JLayoutFile('joomla.toolbar.batch');

			$dhtml = $layout->render(array('title' => $title));
			JToolbar::getInstance('toolbar')->appendButton('Custom', $dhtml, 'batch');
			//JToolbarHelper::editList('menuupdate.menuupdatebatch');
		}

	}

	/**
	 * Returns an array of fields the table can be sorted by
	 *
	 * @return  array  Array containing the field name to sort by as the key and display text as value
	 *
	 * @since   3.0
	 */
	protected function getSortFields()
	{
		return array(
			'a.title' => Text::_('COM_XMLSISHANDBALLV2_MENUUPDATES_HEAD_HEADING_TITLE'),
			'a.menutype' => Text::_('COM_XMLSISHANDBALLV2_MENUUPDATES_HEAD_HEADING_MENUTYPE'),
			'verein_title' => Text::_('COM_XMLSISHANDBALLV2_MENUUPDATES_HEAD_HEADING_VEREISNAME'),
			'a.id' => Text::_('JGRID_HEADING_ID')
		);
	}
}
