<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: view.html.php 2024-01-17
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/


// Den direkten Aufruf verbieten
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

jimport( 'joomla.application.component.view');
jimport( 'joomla.application.categories');
jimport('joomla.html.pane');

JLoader::register('xmlsishandballv2Helper', JPATH_ADMINISTRATOR . '/components/com_xmlsishandballv2/helpers/xmlsishandballv2.php');
 
/**
 * HalloWelt View
 */
class xmlsishandballv2ViewXmlsishandballv2 extends JViewLegacy
{

	/**
	 * The JForm object
	 *
	 * @var  JForm
	 */
	protected $form;

	/**
	 * The active item
	 *
	 * @var  object
	 */
	protected $item;

	/**
	 * The model state
	 *
	 * @var  object
	 */
	protected $state;

	/**
	 * Object containing permissions for the item
	 *
	 * @var  JObject
	 */
	protected $canDo;

	/**
	 * Display the view
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  mixed  A string if successful, otherwise an Error object.
	 */
	public function display($tpl = null)
	{

		$this->form  = $this->get('Form');
		$this->item  = $this->get('Item');
		$this->state = $this->get('State');
		$this->canDo = JHelperContent::getActions('com_xmlsishandballv2');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			throw new Exception(implode("\n", $errors), 500);
		}

		if (version_compare(JVERSION, '4', '<')) {
			xmlsishandballv2Helper::addSubmenu('xmlsishandballv2');
		}

		$this->addToolbar();
		$this->sidebar = JHtmlSidebar::render();

		parent::display($tpl);

	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return  void
	 *
	 * @since   1.6
	 */
	protected function addToolbar()
	{
		$user       = Factory::getUser();
		//$isNew      = ($this->item->id == 0);
		//$checkedOut = !($this->item->checked_out == 0 || $this->item->checked_out == $user->id);
		$canDo      = $this->canDo;

		if (version_compare(JVERSION, '4', '>=')) {
			JToolBarHelper::title(Text::_('COM_XMLSISHANDBALLV2_VIEW_TITLE'), 'home');
		} else {
			JToolBarHelper::title(Text::_('COM_XMLSISHANDBALLV2_VIEW_TITLE'), '48-xmlsishandballv2manager');
		}

		$bar = JToolBar::getInstance('toolbar');

        JHtmlSidebar::setAction('index.php?option=com_xmlsishandballv2&view=xmlsishandballv2');

        if ($canDo->get('core.admin', 'com_xmlsishandballv2')) {
            JToolbarHelper::preferences('com_xmlsishandballv2');
        }

	}

}