<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: default.php 2023-07-04
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted Access');

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;
use Joomla\Utilities\ArrayHelper;
 
// load tooltip behavior
//HTMLHelper::_('behavior.tooltip');
HTMLHelper::_('bootstrap.tooltip');

//$acl = Factory::getACL();
$afimg = ArrayHelper::getValue( $_REQUEST, 'afimg');
//xmlsiscss();

//global $option;
$app = Factory::getApplication();
$option = $app->input->getCmd('option', '');

$fname = JPATH_SITE.'/components/com_xmlsishandballv2/assets/css/sis.css';
	
if(isset($afimg) && $afimg==1){
	echo '<div style="text-align:center; font-weight:bold; padding-bottom:10px;"><img src="../media/com_xmlsishandballv2/images/success.png"> '.Text::_('COM_XMLSISHANDBALLV2_TMPL_CSS_DEFAULT_SAVE_SUCCESS').'</div>';
}
if(isset($afimg) && $afimg==0){
	echo '<div style="text-align:center; font-weight:bold; padding-bottom:10px;"><img src="../media/com_xmlsishandballv2/images/error.png"> '.Text::_('COM_XMLSISHANDBALLV2_TMPL_CSS_DEFAULT_SAVE_ERROR').'</div>';	
}

?>
<form action="<?php echo Route::_('index.php') ?>"
	method="post" name="adminForm" id="adminForm">
	<table cellpadding="1" cellspacing="1" border="0" width="100%">
		<tr>
			<td width="270">
				<span class="componentheading">sis.css:
				<?php echo is_writable( $fname ) ? '<b><font color="green"> '.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_CSS_DEFAULT_FILE_WRITABLE' ).'</font></b>' : '<b><font color="red"> '.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_CSS_DEFAULT_FILE_LOCKED' ).'</font></b>' ?>
				</span>
			</td>
			<?php
			jimport('joomla.filesystem.path');
			if (JPath::canChmod($fname)) {
				if (is_writable($fname)) {
					?>
					<td>
						<input type="checkbox" id="disable_write" name="disable_write" value="1"/>
						<label for="disable_write"><?php echo Text::_( 'COM_XMLSISHANDBALLV2_TMPL_CSS_DEFAULT_FILE_LOCK' ); ?></label>
					</td>
					<?php
				} else {
					?>
					<td>
						<input type="checkbox" id="enable_write" name="enable_write" value="1"/>
						<label for="enable_write"><?php echo Text::_( 'COM_XMLSISHANDBALLV2_TMPL_CSS_DEFAULT_FILE_UNLOCK' ); ?></label>
					</td>
				<?php
				}
			}
			?>
		</tr>
	</table>
	<?php

	$f=fopen($fname,"r");
	$fcontent = fread($f, filesize($fname));
	$fcontent = htmlspecialchars($fcontent);
	?>
	<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminform">
	  <tr>
	    <th colspan="2"><?php echo Text::_( 'COM_XMLSISHANDBALLV2_TMPL_CSS_DEFAULT_FILE_PATH' ); ?><?php echo $fname; ?></td> </tr>
	  <tr>
	    <td>
		<textarea cols="90" rows="20" name="fcontent" style="width:90%;"><?php echo $fcontent; ?></textarea>
			
	</form>
	</td>
	<td>

	</td>
	</tr>
	<tr>
	<td colspan="2"><?php echo Text::_( 'COM_XMLSISHANDBALLV2_TMPL_CSS_DEFAULT_FILE_INFO' ); ?></td>
	</tr>
	</table>
	<div>
		<input type="hidden" name="fname" value="<?php echo $fname; ?>" />
		<input type="hidden" name="task" value="xmlsishandballv2.editcss" />
		<input type="hidden" name="option" value="<?php echo $option; ?>">
		<input type="hidden" name="boxchecked" value="0">
		<?php echo HTMLHelper::_('form.token'); ?>
	</div>
	<div>
	<?php echo xmlsishandballv2Controller::xshv2Footer(); ?>
	</div>
</form>
