<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: default.php 2023-07-04
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2014 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

HTMLHelper::_('bootstrap.tooltip');
HTMLHelper::_('behavior.multiselect');
HTMLHelper::_('formbehavior.chosen', 'select');

$user       = Factory::getUser();
$userId     = $user->get('id');
$listOrder  = $this->escape($this->state->get('list.ordering'));
$listDirn   = $this->escape($this->state->get('list.direction'));
$params     = (isset($this->state->params)) ? $this->state->params : new JObject;
//$archived   = $this->state->get('filter.state') == 2 ? true : false;
//$trashed    = $this->state->get('filter.state') == -2 ? true : false;
?>

<form action="<?php echo Route::_('index.php?option=com_xmlsishandballv2&view=xmlsishandballv2datas'); ?>" method="post" name="adminForm" id="adminForm">
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
		<?php
		// Search tools bar
		echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));
		?>
		<?php if (empty($this->items)) : ?>
			<div class="alert alert-no-items">
				<?php echo Text::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
			</div>
		<?php else : ?>
			<table class="table table-striped">
				<thead>
					<tr>
						<th width="1%" class="center">
							<?php echo HTMLHelper::_('grid.checkall'); ?>
						</th>
						<th width="20%">
							<?php echo HTMLHelper::_('searchtools.sort', 'COM_XMLSISHANDBALLV2_TMPL_DATAS_HEAD_HEADING_LIGANR', 'a.liga_nr', $listDirn, $listOrder); ?>
						</th>
						<th width="10%">
							<?php echo HTMLHelper::_('searchtools.sort', 'COM_XMLSISHANDBALLV2_TMPL_DATAS_HEAD_HEADING_SISART', 'a.sis_art', $listDirn, $listOrder); ?>
						</th>
						<th width="50%">
							<?php echo Text::_('COM_XMLSISHANDBALLV2_TMPL_DATAS_HEAD_HEADING_CONTENT'); ?>
						</th>
						<th width="20%">
							<?php echo HTMLHelper::_('searchtools.sort', 'COM_XMLSISHANDBALLV2_TMPL_DATAS_HEAD_HEADING_LASTUPDATED', 'a.last_updated', $listDirn, $listOrder); ?>
						</th>
						<th width="1%" class="nowrap">
							<?php echo HTMLHelper::_('searchtools.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
						</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="6">
							<?php echo $this->pagination->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
				<tbody>
					<?php foreach ($this->items as $i => $item) :
						$canCreate  = $user->authorise('core.create',     'com_xmlsishandballv2');
						$canEdit    = $user->authorise('core.edit',       'com_xmlsishandballv2');
						//$canCheckin = $user->authorise('core.manage',     'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0;
						//$canChange  = $user->authorise('core.edit.state', 'com_banners') && $canCheckin;
						?>
						<tr class="row<?php echo $i % 2; ?>">
							<td class="center">
								<?php echo HTMLHelper::_('grid.id', $i, $item->id); ?>
							</td>
							<td>
								<?php echo $item->liga_nr; ?>
							</td>
							<td class="center">
								<?php echo $item->sis_art; ?>
							</td>
							<td>
								<div style="height:150px;max-width:500px;overflow:auto;">
									<pre><?php echo htmlentities( $item->content ); ?></pre>
								</div>
							</td>
							<td>
								<?php echo $item->last_updated; ?>
							</td>
							<td class="hidden-phone">
								<?php echo $item->id; ?>
							</td>
							
						</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		<?php endif; ?>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo HTMLHelper::_('form.token'); ?>
	</div>
</form>
<div class="clr" style="clear: both"></div>
<?php echo xmlsishandballv2Controller::xshv2Footer(); ?>
