<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: xmlsishandballv2.php 2023-07-03
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

jimport('joomla.application.component.controller');

// Access check.
if (!Factory::getUser()->authorise('core.manage', 'com_xmlsishandballv2'))
{
    return JError::raiseWarning(404, Text::_('JERROR_ALERTNOAUTHOR'));
}

// Set some global property
$document = Factory::getDocument();
if ($document->getType() == 'html') {
	$document->addStyleSheet(JURI::base(true).'/components/com_xmlsishandballv2/assets/css/xmlsishandballv2-admin.css');
}

// Die Helperdatei registrieren
JLoader::register('xmlsishandballv2Helper', JPATH_COMPONENT . '/helpers/xmlsishandballv2.php');

// Eine Instanz des Controllers mit dem Präfix 'xmlsishandballv2' beziehen
$controller = JControllerLegacy::getInstance('xmlsishandballv2');
 
// Perform the Request task
$controller->execute(Factory::getApplication()->input->get('task'));
 
// Einen Redirect durchführen wenn er im Controller gesetzt ist
$controller->redirect();


