<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: script.php 2024-01-17
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/


// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
/**
 * Script file of XML SIS Handball v2 component
 */
class com_xmlsishandballv2InstallerScript
{
	/**
	* Version string of the current version
	*
	* @var string
	*/
	private $version = '4.0.2';
	
	/**
	 * method to install the component
	 *
	 * @return void
	 */
	function install($parent) 
	{
		jimport('joomla.filesystem.file');
		jimport('joomla.filesystem.folder');
		
		// Create image directories
		//$indexfile = JPATH_ROOT.'/media/com_xmlsishandballv2/defaultlogo/defaultindex';
		//$icsindexfile = JPATH_ROOT.'/media/com_xmlsishandballv2/defaultics/defaulticsindex';
		$icsdefault  = JPATH_ROOT.'/com_xmlsishandballv2icsdb';
		$default  = JPATH_ROOT.'/images/com_xmlsishandballv2';
		$defaultimg  = JPATH_ROOT.'/images/com_xmlsishandballv2/default';
		$data = "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>";
		if(!JFolder::exists($default))
		{
			$result     = array();
			$result[]   = JFolder::create($default);
			$result[]   = JFile::write($default.'/index.html', $data);
			$result[]   = JFolder::create($defaultimg);
			$result[]   = JFile::write($defaultimg.'/index.html', $data);

			if(in_array(false, $result))
			{
				JError::raiseWarning(500, JText::_('Unable to create image directories!'));

			return false;
			}
		
			$temp = JPATH_ROOT.'/media/com_xmlsishandballv2/defaultlogo/placeholder.png';
			//$temp = JPATH_ROOT.'/media/com_xmlsishandballv2/defaultlogo';
			$dest = JPATH_ROOT.'/images/com_xmlsishandballv2/default/placeholder.png';
			
			if(!JFile::move($temp, $dest))
			{
				JError::raiseWarning(500, JText::_('Unable to copy default image!'));
				return false;
			}

			
		}
		if(!JFolder::exists($icsdefault))
		{
			$result     = array();
			$result[]   = JFolder::create($icsdefault);
			//$result[]   = JFile::move($icsindexfile, $icsdefault);
			$result[]   = JFile::write($icsdefault.'/index.html', $data);
			//$result[]   = JoomFile::copyIndexHtml($icsdefault);

			if(in_array(false, $result))
			{
				JError::raiseWarning(500, JText::_('Unable to create ics file directories!'));

			return false;
			}
		
		}
		
		// $parent is the class calling this method
		echo '<div class="hero-unit">';
			echo  JHTML::_('image', 'media/com_xmlsishandballv2/images/xmlsishbv2_logo.png', 'XML SIS-Handballv2','style="vertical-align:middle;"');
			echo '<div class="alert alert-success">';
				echo '<h3>'.JText::_('COM_XMLSISHANDBALLV2_INSTALL_TEXT').$this->version.'</h3>';
			echo '</div>';
			echo '<p>You may now start using XML SIS-Handballv2:</p>';
			echo '<p>';
				echo '<a title="Start" class="btn" onclick="location.href=\'index.php?option=com_xmlsishandballv2\'; return false;" href="#">Start now!</a>';
			echo '</p>';
		echo '</div>';
		//$parent->getParent()->setRedirectURL('index.php?option=com_xmlsishandballv2');
	}
 
	/**
	 * method to uninstall the component
	 *
	 * @return void
	 */
	function uninstall($parent) 
	{
		// $parent is the class calling this method
		echo '<p>'.JText::_('COM_XMLSISHANDBALLV2_UNINSTALL_TEXT').'</p>';
	}
 
	/**
	 * method to update the component
	 *
	 * @return void
	 */
	function update($parent) 
	{
		jimport('joomla.filesystem.file');
		jimport('joomla.filesystem.folder');
		
		// Create image directories
		//$indexfile = JPATH_ROOT.'/media/com_xmlsishandballv2/defaultlogo/defaultindex';
		//$icsindexfile = JPATH_ROOT.'/media/com_xmlsishandballv2/defaultics/defaulticsindex';
		$icsdefault  = JPATH_ROOT.'/com_xmlsishandballv2icsdb';
		$default  = JPATH_ROOT.'/images/com_xmlsishandballv2';
		$defaultimg  = JPATH_ROOT.'/images/com_xmlsishandballv2/default';
		$data = "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>";
		if(!JFolder::exists($default))
		{
			$result     = array();
			$result[]   = JFolder::create($default);
			$result[]   = JFile::write($default.'/index.html', $data);
			$result[]   = JFolder::create($defaultimg);
			$result[]   = JFile::write($defaultimg.'/index.html', $data);

			if(in_array(false, $result))
			{
				JError::raiseWarning(500, JText::_('Unable to create image directories!'));

			return false;
			}
		
			$temp = JPATH_ROOT.'/media/com_xmlsishandballv2/defaultlogo/placeholder.png';
			//$temp = JPATH_ROOT.'/media/com_xmlsishandballv2/defaultlogo';
			$dest = JPATH_ROOT.'/images/com_xmlsishandballv2/default/placeholder.png';
			
			if(!JFile::move($temp, $dest))
			{
				JError::raiseWarning(500, JText::_('Unable to copy default image!'));
				return false;
			}

			
		}
		if(!JFolder::exists($icsdefault))
		{
			$result     = array();
			$result[]   = JFolder::create($icsdefault);
			//$result[]   = JFile::move($icsindexfile, $icsdefault);
			$result[]   = JFile::write($icsdefault.'/index.html', $data);
			//$result[]   = JoomFile::copyIndexHtml($icsdefault);

			if(in_array(false, $result))
			{
				JError::raiseWarning(500, JText::_('Unable to create ics file directories!'));

			return false;
			}
		
		}
		
		// $parent is the class calling this method
		echo '<div class="hero-unit">';
		echo  JHTML::_('image', 'media/com_xmlsishandballv2/images/xmlsishbv2_logo.png', 'XML SIS-Handballv2','style="vertical-align:middle;"');
			echo '<div class="alert alert-info">';
				echo '<h3>'.JText::_('COM_XMLSISHANDBALLV2_UPDATE_TEXT').$this->version.'</h3>';
			echo '</div>';
		echo '</div>';
	}
 
	/**
	 * method to run before an install/update/uninstall method
	 *
	 * @return void
	 */
	/*function preflight($type, $parent) 
	{
		// $parent is the class calling this method
		// $type is the type of change (install, update or discover_install)
		echo '<p>' . JText::_('COM_XMLSISHANDBALLV2_PREFLIGHT_' . $type . '_TEXT') . '</p>';
	}*/
 
	/**
	 * method to run after an install/update/uninstall method
	 *
	 * @return void
	 */
	/*function postflight($type, $parent) 
	{
		// $parent is the class calling this method
		// $type is the type of change (install, update or discover_install)
		echo '<p>' . JText::_('COM_XMLSISHANDBALLV2_POSTFLIGHT_' . $type . '_TEXT') . '</p>';
	}*/
}