<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: route.php 2023-07-05
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die;

use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Factory;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Router\Router;
use Joomla\CMS\Component\Router\RouterBase;
use Joomla\CMS\Language\Text;

/**
 * xmlsishandballv2 Route Helper
 *
 * @static
 * @package JoomGallery
 * @since   1.5.5
 */
class xmlsishandballv2HelperRoute
{

	static $view = 0;

	static $option = 'com_xmlsishandballv2';

	public static $views = array(
		/*'regattalist'    => array('cat_id' => '' ),
		'registration'    => array('cat_id' => '' ),
		'registrationlist'    => array('cat_id' => '', 'reg_id' => '' ),
		'noticeofrace'    => array('id' => '', 'alias' => '' ),
		'result'    => array('id' => '', 'alias' => '' ),
		'resultregatta8list'    => array('reg_id' => '' ),*/
		'xmlsishandballv2'    => array('id' => '', 'alias' => '' ),
		'icsdata'    => array('id' => '', 'alias' => '' )
	);

	/**
	 * xmlsishandballv2HelperRoute::buildQuery()
	 *
	 * @param   mixed  $parts
	 *
	 * @return string
	 */
	public static function buildQuery($parts)
	{
		if ( !array_key_exists('Itemid', $parts) ) {
			$params = ComponentHelper::getParams('com_xmlsishandballv2');
			$parts['Itemid'] = intval($params->get('default_itemid'));
		}

		$parts['Itemid'] = $parts['Itemid'] < 0 ? $parts['Itemid'] : Factory::getApplication()->getMenu()->getActive()->id;

		return Uri::buildQuery($parts);
	}

	/**
	 * xmlsishandballv2HelperRoute::_findItem()
	 *
	 * @param   mixed  $query
	 *
	 * @return
	 */
	public static function _findItem($query)
	{
		$component = ComponentHelper::getComponent('com_xmlsishandballv2');
		$app       = Factory::getApplication();
		$menus     = $app->getMenu();
		$items     = $menus->getItems('component', $component->id);
		$user      = Factory::getUser();
		$access    = (int) $user->get('aid');

		if ($items)
		{
			foreach ($items as $item)
			{
				//if ((@$item->query['view'] == $query['view']) && ($item->published == 1) && ($item->access <= $access))
				if (@$item->query['view'] == $query['view'])
				{
					switch ($query['view'])
					{
						case 'icsdata':
							if ((int) @$item->query['id'] == (int) $query['id'])
							{
								return $item;
							}
							break;
					}
				}
			}
		}

		return false;
	}

	/**
	 * xmlsishandballv2HelperRoute::xmlsishandballv2BuildRoute()
	 *
	 * @param   mixed  $query
	 *
	 * @return
	 */
	public static function xmlsishandballv2BuildRoute(&$query)
	{
		$app      = Factory::getApplication();
		$segments = array();

		if (isset($query['view']))
		{
			$segments[] = $query['view'];
			unset($query['view']);
		}
		if (isset($query['id']))
		{
			$segments[] = $query['id'];
			unset($query['id']);
		};
		if (isset($query['cat_id']))
		{
			$segments[] = $query['cat_id'];
			unset($query['cat_id']);
		};

		return $segments;
	}

}