﻿<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: xmlsishandballv2.php 2023-08-11
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

use Joomla\CMS\Factory;
use Joomla\CMS\Route;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;

// import Joomla modelitem library
jimport('joomla.application.component.modelitem');

//class xmlsishandballv2Modelxmlsishandballv2 extends JModelItem {
class xmlsishandballv2Modelxmlsishandballv2 extends BaseDatabaseModel {

	
	//get Vereinsdaten
	static function getVereinData($verein_id) {
		$db = Factory::getDbo();
		$query = $db->getQuery(true);
		//$query->select('vereinsnummer','vereinspasswort','nationurl');
		$query->select('*');
		//$query->select($db->quoteName(array('clublogo')));
		$query->from($db->quoteName('#__xmlsishbv2_verein'));
		$query->where('id = '. (int) $verein_id); 
		$db->setQuery($query);
		//$content = $db->loadResult();
		$vereindata = $db->loadObjectList();

		return $vereindata;
	}
	
	
	//get sis link
	static function getLink($sis_xmllink) {
		return $sis_xmllink . '/xmlexport/xml_dyn.aspx';
	}

	

	//get Tabelle
	function getTabelle($linkresults, $linkparameters, $liganummer,$sis_art) {
		// 1. nachsehen, ob Daten noch aktuell sind.
		//xmlsishandballv2Modelxmlsishandballv2::refreshData($linkresults, $linkparameters,$liganummer,$sis_art);
		xmlsishandballv2Helper::refreshData($linkresults, $linkparameters,$liganummer,$sis_art);
		$result = xmlsishandballv2Helper::getLatestDataFromDatabase($liganummer,$sis_art);
		$result1 = simplexml_load_string($result[0]->content);
		return $result1;
	}
	//get Tabelle end

	//get Statistik, Tore
	function getStatistik($linkresults, $linkparameters, $liganummer) {
		// 1. nachsehen, ob Daten noch aktuell sind.
		xmlsishandballv2Helper::refreshData($linkresults, $linkparameters,$liganummer,12);
		$result = xmlsishandballv2Helper::getLatestDataFromDatabase($liganummer,12);
		$result1 = simplexml_load_string($result[0]->content);
		return $result1;
	}
	//Statistik, Tore end

	//get sis spielplan
	function getSpielplan($linkresults, $linkparameters, $liganummer,$sis_art) {
		// 1. nachsehen, ob Daten noch aktuell sind.
		xmlsishandballv2Helper::refreshData($linkresults, $linkparameters, $liganummer,$sis_art);
		$result = xmlsishandballv2Helper::getLatestDataFromDatabase($liganummer,$sis_art);
		$result1 = simplexml_load_string($result[0]->content);
		foreach ($result1->Spiel as $temp) {
			$nummer = substr( $temp->Liga , -3);
			$datum = substr( $temp->SpielVon , 0, 10);
			$datum_en = date("d.m.Y", strToTime($datum));
			$temp->Datum = $datum_en;
			$temp->vonUhrzeit = substr( $temp->SpielVon , 11, 8);
			$temp->bisUhrzeit = substr( $temp->SpielBis , 11, 8);
		}
		return $result1;
	}
	
	static function getXML($linkresults, $linkparameters, $liganummer,$sis_art) {
		// 1. nachsehen, ob Daten noch aktuell sind.
		xmlsishandballv2Helper::refreshData($linkresults, $linkparameters,$liganummer,$sis_art);
		$result = xmlsishandballv2Helper::getLatestDataFromDatabase($liganummer,$sis_art);
		$result1 = simplexml_load_string($result[0]->content);
		return $result1;
	}
	
	
	/*ICS Link*/
	static function getICSLINK($id) {
		$db = Factory::getDbo();
		
		// Conditions for which records should be updated.
		$conditions = array(
			$db->quoteName('id') . ' = ' . $db->quote($id)
		);
		
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from($db->quoteName('#__xmlsishbv2_icsdata'));
		$query->where($conditions); 
		$db->setQuery($query);
		//$content = $db->loadResult();
		$icslinkobj = $db->loadObjectList();
		
		foreach ($icslinkobj as $i => $icslink) : 
			$icslinkarr = $icslink;
		endforeach;
		
		$db = Factory::getDbo();
		// Conditions for which records should be updated.
		$conditions = array(
			$db->quoteName('id') . ' = ' . $db->quote($icslinkarr->verein_id)
		);
		$query = $db->getQuery(true);
		$query->select('vereinsnameshort');
		//$query->select('*');
		//$query->select($db->quoteName(array('clublogo')));
		$query->from($db->quoteName('#__xmlsishbv2_verein'));
		$query->where($conditions); 
		$db->setQuery($query);
		$vereinsnameshort = $db->loadResult();
		//$vereindata = $db->loadObjectList();
		
		//$vereinobj = xmlsishandballv2Modelxmlsishandballv2::getVereinData($icslinkarr->verein_id);
		
		
		
		
		$icsurl = '/com_xmlsishandballv2icsdb/'.strtolower($vereinsnameshort).'-spiele_'.strtolower($icslinkarr->icsteamshort).'.ics';

		return $icsurl;
	}
	
	function getICSHelpLink($icshl) {
		$icshlink = '';
		$db = Factory::getDBO();
		$app = Factory::getApplication();

		if ($icshl) {
			require_once(JPATH_BASE.'/components/com_content/models/article.php');
			require_once(JPATH_BASE.'/components/com_content/helpers/route.php');
			$model = new ContentModelArticle();
			$item = $model->getItem($icshl);
			if($item) {
				$item->slug = $item->alias ? ($item->id . ':' . $item->alias) : $item->id;
				$icshlink = Route::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catid));
			}
		}
		
		return $icshlink;
	
	}

}

