﻿<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: default.php 2023-07-05
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;


$document = Factory::getDocument();
$cssHTML = '<link href="components/com_xmlsishandballv2/assets/css/sis.css" rel="stylesheet" type="text/css" />' . "\n";
$document->addCustomTag( $cssHTML );


// Anzeige Titel
?>
<div class="item-page<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<?php if ($this->params->get('show_page_heading')) : ?>
	<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
	</h1>
<?php endif;

//if ($this->params->get('show_page_title', 1) && $this->params->get('page_title') != $this->article->title) : 
if ($this->params->get('show_page_title')) : ?>
	<h2>
	<span class="subheading-category"><?php echo $this->escape($this->params->get('page_title')); ?></span>
	</h2>
<?php endif;
// Anzeige Titelend

// Anzeige description
if ($this->params->get('icsdatadescription')) : ?>
		<?php //echo $this->escape($this->params->get('icsdatadescription')); ?>
		<?php echo $this->params->get('icsdatadescription'); ?>
<?php endif;

//$teamanz = count($artauf);
//echo 'Count: '.count($icsdata);

if ($this->icsdata) { 
	?>
	<table class="category table">
	<tr>
		<th><?php echo Text::_('COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_ICSDATA_TABLE_HEAD_TEAM') ?></th>
		<th style="text-align:center;"><?php echo Text::_('COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_ICSDATA_TABLE_HEAD_ICSLINK') ?></th>
		<th style="text-align:center;"><?php echo Text::_('COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_ICSDATA_TABLE_HEAD_GAMES') ?></th>
	</tr>
	<?php foreach ($this->icsdata as $i => $icsdata) : ?>
	<?php 
	$verein = xmlsishandballv2Modelicsdata::getVereinDataICS($icsdata->verein_id);
	$icsdataarr = xmlsishandballv2Modelicsdata::WriteICS($verein, $icsdata->ligano, $icsdata->teamno, $icsdata->teamno1, $icsdata->icsteamshort); ?>
	<tr class="cat-list-row<?php echo $i % 2; ?>">
		<td><?php echo $icsdata->icsteam; ?></td>
		<td style="text-align:center;"><?php echo '<a href="'.$icsdataarr[1].'" target="_new">'.Text::_('ICS Abo-Link').'</a>'; ?></td>
		<td style="text-align:center;"><?php echo Text::_($icsdataarr[0].' Spiele'); ?></td>
	</tr>
<?php endforeach;?>
</table>

<?php 
}

?>

<!-- div item-page end -->
</div> 

