﻿<?php

/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: view.html.php 2024-01-17
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
 
// import Joomla view library
jimport('joomla.application.component.view');

class xmlsishandballv2Viewxmlsishandballv2 extends JViewLegacy { 

	function display($tpl = null) {
		
		//global $mainframe;
		$app = Factory::getApplication();
			
		$config = Factory::getConfig();
			
		$params = $app->getParams();
			
		$model = $this->getModel();
		//$model = &$this->getModelitem();
		
		//Pagetitel
		$page_title = $params->get('page_title', '');
		$sitename = $config->get('sitename');
		$title = '';
		if ($config->get('sitename_pagetitles', 0) == 0) {
			$title = $page_title;
		} elseif ($config->get('sitename_pagetitles', 0) == 1) {
			$title = JText::sprintf('JPAGETITLE', $config->get('sitename'), $title).$page_title;
		} elseif ($config->get('sitename_pagetitles', 0) == 2) {
			$title = $page_title.JText::sprintf('JPAGETITLE', $title, $config->get('sitename'));
		}
		$this->document->setTitle($title);
		
		//Vereinsdaten holen
		$verein_id = $params->get('verein_id');
		$vereindata = $model->getVereinData($verein_id);
		
		//var_dump($vereindata);
		//echo 'Ein Wert: '.$vereindata[0]->vereinsnummer;
		
		//Kompatibilität zu v3.2.1
		if($vereindata) {
			$vereinsnummer = $vereindata[0]->vereinsnummer;
			$vereinspasswort = $vereindata[0]->vereinspasswort;
		} else {	
			$vereinsnummer = $params->get( 'sis_meinevereinsnummer');
			$vereinspasswort = $params->get( 'sis_meinvereinspasswort');
		}
		$liganummer = $params->get( 'sis_liganummer');
		$sis_art = $params->get( 'sis_art');
		//Kompatibilität zu v3.2.1
		if($vereindata) {
			$sis_xmllink = $vereindata[0]->nationurl;
		} else {
			$sis_xmllink = $params->get( 'sis_xmllink');
		}
		
		//Kompatibilität zu v2.7.1
		if($vereindata) {
			$sis_timezone = $vereindata[0]->timezone;
		} else {
			$sis_timezone = 'Europe/Vienna';
		}
			
		if($sis_art == "x" || $sis_art == "1a" || $sis_art == "1b") {
			$sis_art = 1;
		}
		
		if($sis_art == "2a") {
			$sis_art = 2;
		}
		
		if($sis_art == "3a" ) {
			$sis_art = 3;
		}
		
		if($sis_art == "10a") {
			$sis_art = 10;
		}
		
		if($sis_art == "11a") {
			$sis_art = 11;
		}
		if($sis_art == "12a") {
			$sis_art = 12;
		}
			
		$sis_getxmldatei = $params->get( 'sis_getxmldatei');
		$sis_getschiedsrichter = $params->get( 'sis_getschiedsrichter');
		$sis_getspielort = $params->get( 'sis_getspielort');

		$linkresults = $model->getLink($sis_xmllink);
		//$linkparameters = $model->getParameter($vereinsnummer,$vereinspasswort,$liganummer,$sis_art);
		$linkparameters = xmlsishandballv2Helper::getParameter($vereinsnummer,$vereinspasswort,$liganummer,$sis_art);

		//echo $linkresults.'<br>';
		//print_r($linkparameters).'<br>';
		//echo 'Vereins#: '.gettype($vereinsnummer).'<br>';
		//echo 'Vereinspw: '.gettype($vereinspasswort).'<br>';
		
		//Hilfeseutenlink holen
		$icshelplink = $model->getICSHelpLink($params->get( 'sis_linkhilfeics'));


		$this->sis_getxmldatei = $sis_getxmldatei;
		$this->sis_getschiedsrichter = $sis_getschiedsrichter;
		$this->sis_getspielort = $sis_getspielort;
		$this->linkresults = $linkresults;
		$this->linkparameters = $linkparameters;
		$this->params = $params;
		
		$this->sis_art = $sis_art;
		$this->vereinsnummer = $vereinsnummer;
		$this->liganummer = $liganummer;
		
		$this->nationurl = $sis_xmllink;
		$this->timezone = $sis_timezone;
		
		
		// tabellenanzeige ist gewünscht		
		if ( $sis_art == 4 || $sis_art == 5 || $sis_art == 6 || $sis_art == 7 ) {
			$tabelle = $model->getTabelle($linkresults,$linkparameters,$liganummer,$sis_art);
			//$this->assignRef('tabelle', $tabelle);
			$this->tabelle = $tabelle;
		} else {
			$this->tabelle = '';
		}

		// spielplan ist gewünscht
		if ( $sis_art == 1 || $sis_art == "1a" || $sis_art == "1b" || $sis_art == 2 || $sis_art == "2a" || $sis_art == 3 || $sis_art == "3a" || $sis_art == 10 || $sis_art == "10a" || $sis_art == 11 || $sis_art == "11a" || $sis_art == "x") {
			$spielplan = $model->getSpielplan($linkresults,$linkparameters,$liganummer,$sis_art);
			//$this->assignRef('spielplan', $spielplan);
			$this->spielplan = $spielplan;
			//$this->assignRef('icshelplink', $icshelplink);
			$this->icshelplink = $icshelplink;
		} else {
			$this->spielplan = '';
			//$this->assignRef('icshelplink', $icshelplink);
			$this->icshelplink = $icshelplink;
		}
	
		// statistikanzeige ist gewünscht		
		if ( $sis_art == 12 || $sis_art == "12a" ) {
			$statistik = $model->getStatistik($linkresults,$linkparameters,$liganummer);
			//$this->assignRef('statistik', $statistik);
			$this->statistik = $statistik;
		} else {
			$this->statistik = '';
		}

		parent::display($tpl);
	}
}
?>
